VkAndroidHardwareBufferFormatPropertiesANDROID Struct Reference

`#include <vulkan_android.h>`

Collaboration diagram for VkAndroidHardwareBufferFormatPropertiesANDROID:
[legend]

## Data Fields

VkStructureType | sType
void * | pNext
VkFormat | format
uint64_t | externalFormat
VkFormatFeatureFlags | formatFeatures
VkComponentMapping | samplerYcbcrConversionComponents
VkSamplerYcbcrModelConversion | suggestedYcbcrModel
VkSamplerYcbcrRange | suggestedYcbcrRange
VkChromaLocation | suggestedXChromaOffset
VkChromaLocation | suggestedYChromaOffset

## Detailed Description

Definition at line 75 of file vulkan_android.h.

## Field Documentation

## externalFormat

uint64_t VkAndroidHardwareBufferFormatPropertiesANDROID::externalFormat

Definition at line 79 of file vulkan_android.h.

## format

VkFormat VkAndroidHardwareBufferFormatPropertiesANDROID::format

Definition at line 78 of file vulkan_android.h.

## formatFeatures

VkFormatFeatureFlags VkAndroidHardwareBufferFormatPropertiesANDROID::formatFeatures

Definition at line 80 of file vulkan_android.h.

## pNext

void* VkAndroidHardwareBufferFormatPropertiesANDROID::pNext

Definition at line 77 of file vulkan_android.h.

## samplerYcbcrConversionComponents

VkComponentMapping VkAndroidHardwareBufferFormatPropertiesANDROID::samplerYcbcrConversionComponents

Definition at line 81 of file vulkan_android.h.

## sType

VkStructureType VkAndroidHardwareBufferFormatPropertiesANDROID::sType

Definition at line 76 of file vulkan_android.h.

## suggestedXChromaOffset

VkChromaLocation VkAndroidHardwareBufferFormatPropertiesANDROID::suggestedXChromaOffset

Definition at line 84 of file vulkan_android.h.

## suggestedYcbcrModel

VkSamplerYcbcrModelConversion VkAndroidHardwareBufferFormatPropertiesANDROID::suggestedYcbcrModel

Definition at line 82 of file vulkan_android.h.

## suggestedYcbcrRange

VkSamplerYcbcrRange VkAndroidHardwareBufferFormatPropertiesANDROID::suggestedYcbcrRange

Definition at line 83 of file vulkan_android.h.

## suggestedYChromaOffset

VkChromaLocation VkAndroidHardwareBufferFormatPropertiesANDROID::suggestedYChromaOffset

Definition at line 85 of file vulkan_android.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_android.h